Qwt User's Guide: QwtColumnRect Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
QwtColumnRect Class Reference

Directed rectangle representing bounding rectangle and orientation of a column. More...

`#include <qwt_column_symbol.h>`

## Public Types
enum | Direction { LeftToRight , RightToLeft , BottomToTop , TopToBottom }
| Direction of the column. More...

## Public Member Functions
| QwtColumnRect ()
| Build an rectangle with invalid intervals directed BottomToTop.
QRectF | toRect () const
Qt::Orientation | orientation () const

## Public Attributes
QwtInterval | hInterval
| Interval for the horizontal coordinates.
QwtInterval | vInterval
| Interval for the vertical coordinates.
Direction | direction
| Direction.

## Detailed Description

Directed rectangle representing bounding rectangle and orientation of a column.

Definition at line 26 of file qwt_column_symbol.h.

## Member Enumeration Documentation

## ◆ Direction

enum QwtColumnRect::Direction

Direction of the column.

Enumerator
LeftToRight | From left to right.
RightToLeft | From right to left.
BottomToTop | From bottom to top.
TopToBottom | From top to bottom.

Definition at line 30 of file qwt_column_symbol.h.

## Constructor & Destructor Documentation

## ◆ QwtColumnRect()

QwtColumnRect::QwtColumnRect | ( |  | ) |
| inline

Build an rectangle with invalid intervals directed BottomToTop.

Definition at line 46 of file qwt_column_symbol.h.

## Member Function Documentation

## ◆ orientation()

Qt::Orientation QwtColumnRect::orientation | ( |  | ) | const
| inline

Returns
  Orientation

Definition at line 55 of file qwt_column_symbol.h.

## ◆ toRect()

QRectF QwtColumnRect::toRect | ( |  | ) | const

Returns
  A normalized QRect built from the intervals

Definition at line 296 of file qwt_column_symbol.cpp.

## Member Data Documentation

## ◆ direction

Direction QwtColumnRect::direction

Direction.

Definition at line 70 of file qwt_column_symbol.h.

## ◆ hInterval

QwtInterval QwtColumnRect::hInterval

Interval for the horizontal coordinates.

Definition at line 64 of file qwt_column_symbol.h.

## ◆ vInterval

QwtInterval QwtColumnRect::vInterval

Interval for the vertical coordinates.

Definition at line 67 of file qwt_column_symbol.h.